# Contributing to `Quantum`

If you'd like to help us improve and extend this project, then we welcome your contributions!

Below you will find some basic steps required to be able to contribute to the project. If
you have any questions about this process or any other aspect of contributing to a Bloomberg open
source project, feel free to send an email to opensource@bloomberg.net and we'll get your questions
answered as quickly as we can.

## Contribution Licensing

Since `Quantum` is distributed under the terms of the [Apache Version 2 license](LICENSE), contributions that you make
are licensed under the same terms. In order for us to be able to accept your contributions,
we will need explicit confirmation from you that you are able and willing to provide them under
these terms, and the mechanism we use to do this is called a Developer's Certificate of Origin
[DCO](DCO.md).  This is very similar to the process used by the Linux(R) kernel, Samba, and many
other major open source projects.

To participate under these terms, all that you must do is include a line like the following as the
last line of the commit message for each commit in your contribution:

    Signed-Off-By: Random J. Developer <random@developer.example.org>

The simplest way to accomplish this is to add `-s` or `--signoff` to your `git commit` command. You can also use 'git config format.signOff true'
to automatically do this for all commits in a clone of this repository.

You must use your real name (sorry, no pseudonyms, and no anonymous contributions).

## Help / Documentation

Please see the [wiki](https://github.com/bloomberg/quantum/wiki) page for a detailed overview of this library, use-case scenarios and examples.

For class description visit the [API](https://bloomberg.github.io/quantum) page.

If you need more or different information, please create an [Issue](../../issues).
